Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: GentooForum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

28.06.2007, 21:07

[gelöst] probleme bei emerge: auto cleaning packages

Hi,

also ich hab kde-meta installiert (3.5). Wenn ich nun kile emergen will, passiert folgendes:


>>> Auto-cleaning packages...

sys-apps/man
selected: 1.6d
protected: 1.6e-r3
omitted: none

app-arch/cpio
selected: 2.6-r5
protected: 2.7-r2
omitted: none

... (hier kommen noch jede menge pakete mehr) ...

sys-devel/autoconf
selected: 2.61
protected: 2.13 2.60
omitted: none



so, danach geht emerge nicht mehr ("/usr/bin/python: bad interpreter: datei nicht gefunden") ... ich hab einfach einen stage3-tarball runtergeladen, entpackt und mittels "cp -au * /" die verlorenen dateien kopiert. Danach geht emerge wieder, aber wenn ich kile emergen will, passiert wieder das gleiche.
Für mich sieht das so aus, als wolle der mir irgendwie meine Software wieder runter schmeissen, aber warum???

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »CaptainPIVO« (28.06.2007, 21:26)


2

28.06.2007, 22:59

Mach doch mal ein

Quellcode

1
emerge -e system

und überprüfe dein World-File.
"Erst nachdem wir alles verloren haben, haben wir die Freiheit, alles zu tun."
"It's only after we've lost everything, that we're free to do anything!"

Jabber: Die ID kann via PN erfragt werden.

3

29.06.2007, 14:41

Hi,

also ich hab jetzt emerge -e system gemacht, damit hat sich das eine problem schonmal gelöst, jetzt habe ich allerdings ein anderes problem:

emerge -va fluxbox

liefert:
configure: error: C++ preprocessor "/lib/cpp" fails sanity check

und danach bricht der Vorgang ab...

4

29.06.2007, 14:43

Hallo,

ein paar mehr Zeilen wären nicht schlecht und vor allem bei welchen Packet er hängt mit welcher Version.

Viele Grüße
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay

5

29.06.2007, 14:47

mars tmp # emerge -va fluxbox

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild N ] x11-wm/fluxbox-1.0_rc3 USE="gnome kde nls truetype xinerama -disableslit -disabletoolbar -imlib" 0 kB

Total: 1 package (1 new), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No]
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) x11-wm/fluxbox-1.0_rc3 to /
* fluxbox-1.0rc3.tar.bz2 RMD160 ;-) ... [ ok ]
* fluxbox-1.0rc3.tar.bz2 SHA1 ;-) ... [ ok ]
* fluxbox-1.0rc3.tar.bz2 SHA256 ;-) ... [ ok ]
* fluxbox-1.0rc3.tar.bz2 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking fluxbox-1.0rc3.tar.bz2 ;-) ... [ ok ]
>>> Unpacking source...
>>> Unpacking fluxbox-1.0rc3.tar.bz2 to /var/tmp/portage/x11-wm/fluxbox-1.0_rc3/work
* Applying fluxbox-1.0_rc3-our-styles-go-over-here.patch ... [ ok ]
* Fixing backgrounds... ... [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/x11-wm/fluxbox-1.0_rc3/work/fluxbox-1.0rc3 ...
* econf: updating fluxbox-1.0rc3/config.sub with /usr/share/gnuconfig/config.sub
* econf: updating fluxbox-1.0rc3/config.guess with /usr/share/gnuconfig/config.guess
./configure --prefix=/usr --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --enable-nls --enable-xinerama --enable-xft --enable-kde --enable-gnome --disable-imlib2 --enable-slit --enable-toolbar --sysconfdir=/etc/X11/fluxbox --with-style=/usr/share/fluxbox/styles/Emerge --libdir=/usr/lib64 --build=x86_64-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/var/tmp/portage/x11-wm/fluxbox-1.0_rc3/work/fluxbox-1.0rc3/missing: Unknown `--run' option
Try `/var/tmp/portage/x11-wm/fluxbox-1.0_rc3/work/fluxbox-1.0rc3/missing --help' for more information
configure: WARNING: `missing' script is too old or missing
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of x86_64-pc-linux-gnu-gcc... gcc3
checking for x86_64-pc-linux-gnu-g++... x86_64-pc-linux-gnu-g++
checking whether we are using the GNU C++ compiler... no
checking whether x86_64-pc-linux-gnu-g++ accepts -g... no
checking dependency style of x86_64-pc-linux-gnu-g++... none
checking for a BSD-compatible install... /usr/bin/install -c
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-gnu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependent libraries... pass_all
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking how to run the C++ preprocessor... /lib/cpp
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details.

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/x11-wm/fluxbox-1.0_rc3/work/fluxbox-1.0rc3/config.log

!!! ERROR: x11-wm/fluxbox-1.0_rc3 failed.
Call stack:
ebuild.sh, line 1615: Called dyn_compile
ebuild.sh, line 972: Called qa_call 'src_compile'
ebuild.sh, line 44: Called src_compile
fluxbox-1.0_rc3.ebuild, line 96: Called econf '--enable-nls' '--enable-xinerama' '--enable-xft' '--enable-kde' '--enable-gnome' '--disable-imlib2' '--enable-slit' '--enable-toolbar' '--sysconfdir=/etc/X11/fluxbox' '--with-style=/usr/share/fluxbox/styles/Emerge'
ebuild.sh, line 578: Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/x11-wm/fluxbox-1.0_rc3/temp/build.log'.

6

29.06.2007, 14:52

ist g++ installiert??

Quellcode

1
equery l gcc


l=kleines L

Wenn es drauf ist einfach mal neu emergen

Quellcode

1
emerge --update gcc
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay

7

29.06.2007, 15:12

mars tmp # equery l gcc
[ Searching for package 'gcc' in all categories among: ]
* installed packages
[I--] [ -] sys-devel/gcc-3.4.6-r2 (3.4)
[I--] [M-] sys-devel/gcc-4.1.1 (4.1)
[I--] [ ] sys-devel/gcc-config-1.3.16 (0)
[I--] [ ] x11-misc/gccmakedep-1.0.2 (0)

emerge --update gcc brachte auch keinen erfolg, ich habe immernoch das gleiche problem :-(

8

29.06.2007, 15:24

Dann lasse mal bitte

Quellcode

1
revdep-rebuild -p

laufen.
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay

9

29.06.2007, 16:22

Hmm, es scheint, ich hätte ein zyklisches Problem:

mars tmp # revdep-rebuild -p
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... using existing /root/.revdep-rebuild.1_files.

Collecting complete LD_LIBRARY_PATH... using existing /root/.revdep-rebuild.2_ldpath.

Checking dynamic linking consistency... using existing /root/.revdep-rebuild.3_rebuild.

Assigning files to ebuilds... using existing /root/.revdep-rebuild.4_ebuilds.

Evaluating package order... using existing /root/.revdep-rebuild.5_order.

All prepared. Starting rebuild...
emerge --oneshot -p =dev-cpp/gnome-vfsmm-2.16.0 =dev-cpp/libgnomecanvasmm-2.12.0 =dev-cpp/gtkmm-2.8.3 =dev-cpp/gconfmm-2.12.0 =dev-cpp/glibmm-2.8.4 =dev-cpp/libgnomemm-2.12.2 =dev-libs/libpcre-6.6 =dev-libs/dbus-qt3-old-0.70 =dev-libs/gmp-4.2.1-r1 =dev-libs/libsigc++-2.0.17 =dev-libs/libcdio-0.77 =dev-libs/libusb-0.1.10a =media-plugins/audacious-plugins-1.3.3 =media-plugins/live-2007.02.20 =sys-apps/lshw-02.08.01b =sys-apps/groff-1.19.2-r1 =net-misc/netkit-telnetd-0.17-r6 =dev-lang/swig-1.3.31 =x11-libs/qt-4.2.3-r1 =x11-libs/qt-3.3.8-r2 =media-gfx/pstoedit-3.44 =media-gfx/graphviz-2.12 =app-portage/eix-0.8.8 =app-editors/kile-1.9.3 =dev-util/subversion-1.3.2-r3 =dev-util/cmake-2.4.6-r1 =x11-misc/imake-1.0.2 =net-ftp/lftp-3.4.6 =sys-libs/db-4.3.29-r2 =sys-libs/db-4.2.52_p2-r1 =sys-libs/db-4.5.20_p2 =net-analyzer/nmap-4.11 =kde-misc/yakuake-2.7.5 =media-libs/openexr-1.2.2-r2 =media-libs/akode-2.0.1 =media-libs/libprojectm-0.99-r1 =media-libs/flac-1.1.2-r8 =media-libs/lcms-1.15 =media-libs/tiff-3.8.2-r2 =media-libs/libofa-0.9.3 =media-libs/libmp4v2-1.5.0.1 =media-libs/ftgl-2.1.2-r1 =media-libs/netpbm-10.37.0 =media-libs/taglib-1.4-r1 =media-libs/faad2-2.0-r13 =media-libs/faac-1.24-r3 =media-libs/mesa-6.5.2-r1 =media-libs/musicbrainz-2.1.4 =media-libs/tunepimp-0.5.3 =media-libs/plotutils-2.4.1-r4 =dev-db/mysql-5.0.42 =app-doc/doxygen-1.4.7 =app-crypt/qca-1.0-r2 =app-crypt/pinentry-0.7.2-r3 =app-crypt/qca-tls-1.0-r3 =kde-base/kmid-3.5.5 =kde-base/kxsldbg-3.5.5 =kde-base/kfloppy-3.5.5 =kde-base/amor-3.5.5 =kde-base/kontact-3.5.5 =kde-base/kcharselect-3.5.5 =kde-base/kdebugdialog-3.5.0 =kde-base/certmanager-3.5.5 =kde-base/kpdf-3.5.5-r1 =kde-base/kdialog-3.5.5 =kde-base/fifteenapplet-3.5.5 =kde-base/kdcop-3.5.1 =kde-base/kcalc-3.5.5 =kde-base/networkstatus-3.5.5 =kde-base/khotkeys-3.5.5 =kde-base/kverbos-3.5.5 =kde-base/kdeartwork-kwin-styles-3.5.5 =kde-base/librss-3.5.0 =kde-base/kdeaddons-kfile-plugins-3.5.0 =kde-base/ksvg-3.5.5 =kde-base/kicker-3.5.5 =kde-base/kcron-3.5.5 =kde-base/atlantikdesigner-3.5.5 =kde-base/lisa-3.5.5 =kde-base/karm-3.5.5 =kde-base/kgpg-3.5.5 =kde-base/korn-3.5.5 =kde-base/kmines-3.5.5 =kde-base/knewsticker-3.5.5 =kde-base/nsplugins-3.5.5-r2 =kde-base/ksirtet-3.5.5 =kde-base/klatin-3.5.5 =kde-base/kbattleship-3.5.5 =kde-base/kmenuedit-3.5.5 =kde-base/kjumpingcube-3.5.5 =kde-base/ksmiletris-3.5.5 =kde-base/kmilo-3.5.5 =kde-base/kshisen-3.5.5 =kde-base/kmailcvt-3.5.5 =kde-base/ark-3.5.5 =kde-base/knode-3.5.5 =kde-base/klettres-3.5.5 =kde-base/konsole-3.5.5 =kde-base/kbounce-3.5.5 =kde-base/kalzium-3.5.5 =kde-base/kdf-3.5.5 =kde-base/kgeography-3.5.5 =kde-base/renamedlg-images-3.5.5 =kde-base/kdesktop-3.5.5-r1 =kde-base/khangman-3.5.5 =kde-base/keduca-3.5.5 =kde-base/kpager-3.5.5 =kde-base/kenolaba-3.5.5 =kde-base/dcoprss-3.5.5 =kde-base/kbruch-3.5.5 =kde-base/akregator-3.5.5 =kde-base/arts-3.5.5 =kde-base/ksystraycmd-3.5.5 =kde-base/libkpgp-3.5.4 =kde-base/libkcddb-3.5.5 =kde-base/kgoldrunner-3.5.5 =kde-base/kmplot-3.5.5 =kde-base/kmrml-3.5.5 =kde-base/kdm-3.5.5-r1 =kde-base/krec-3.5.5 =kde-base/ktalkd-3.5.5 =kde-base/konquest-3.5.5 =kde-base/ktimer-3.5.5 =kde-base/kspaceduel-3.5.5 =kde-base/kdepim-kresources-3.5.5 =kde-base/ksplashml-3.5.5 =kde-base/kpoker-3.5.5 =kde-base/kget-3.5.5 =kde-base/kimagemapeditor-3.5.5 =kde-base/lskat-3.5.5 =kde-base/kig-3.5.5 =kde-base/ksysguard-3.5.5 =kde-base/kstars-3.5.5 =kde-base/kviewshell-3.5.5 =kde-base/libkdegames-3.5.5 =kde-base/kxkb-3.5.5 =kde-base/konqueror-3.5.5 =kde-base/ksim-3.5.5 =kde-base/kpat-3.5.5 =kde-base/kmoon-3.5.5 =kde-base/kwin-3.5.5-r2 =kde-base/kuser-3.5.5 =kde-base/kdepasswd-3.5.5 =kde-base/ksmserver-3.5.5 =kde-base/blinken-3.5.5 =kde-base/kgamma-3.5.5 =kde-base/superkaramba-3.5.5 =kde-base/konq-plugins-3.5.5 =kde-base/krfb-3.5.5 =kde-base/klines-3.5.5 =kde-base/noatun-3.5.5 =kde-base/kedit-3.5.5 =kde-base/kfilereplace-3.5.5 =kde-base/kolourpaint-3.5.5 =kde-base/kdict-3.5.5 =kde-base/kodo-3.5.5 =kde-base/kblackbox-3.5.5 =kde-base/libkholidays-3.5.5 =kde-base/kolf-3.5.5 =kde-base/libkdenetwork-3.5.4 =kde-base/kfouleggs-3.5.5 =kde-base/kscreensaver-3.5.5 =kde-base/ktuberling-3.5.5 =kde-base/kpersonalizer-3.5.5 =kde-base/kalarm-3.5.5 =kde-base/atlantik-3.5.5 =kde-base/kdemultimedia-kfile-plugins-3.5.5 =kde-base/kdebase-kioslaves-3.5.5-r1 =kde-base/kcoloredit-3.5.5 =kde-base/kappfinder-3.5.5 =kde-base/konqueror-akregator-3.5.5 =kde-base/kdenetwork-filesharing-3.5.5 =kde-base/kaudiocreator-3.5.5 =kde-base/kate-plugins-3.5.5 =kde-base/kppp-3.5.5 =kde-base/kcontrol-3.5.5 =kde-base/juk-3.5.5 =kde-base/kpf-3.5.5 =kde-base/kdeprint-3.5.5 =kde-base/kdegraphics-kfile-plugins-3.5.5-r1 =kde-base/kview-3.5.5 =kde-base/quanta-3.5.5 =kde-base/kandy-3.5.5 =kde-base/ktron-3.5.5 =kde-base/kdemultimedia-arts-3.5.5 =kde-base/kiten-3.5.5 =kde-base/ktip-3.5.5 =kde-base/kdeartwork-styles-3.5.5 =kde-base/kitchensync-3.5.5 =kde-base/kontact-specialdates-3.5.5 =kde-base/libkonq-3.5.5 =kde-base/kfind-3.5.5 =kde-base/renamedlg-audio-3.5.5 =kde-base/kommander-3.5.5 =kde-base/noatun-plugins-3.5.5 =kde-base/kwin4-3.5.5 =kde-base/artsplugin-audiofile-3.5.4 =kde-base/ksig-3.5.5 =kde-base/kbackgammon-3.5.5 =kde-base/knetattach-3.5.5 =kde-base/ktnef-3.5.5 =kde-base/libkdepim-3.5.5-r1 =kde-base/kreversi-3.5.5 =kde-base/khexedit-3.5.5 =kde-base/libkmime-3.5.3 =kde-base/artsplugin-akode-3.5.5 =kde-base/kvoctrain-3.5.5 =kde-base/kdepim-wizards-3.5.5 =kde-base/ktux-3.5.5 =kde-base/kwordquiz-3.5.5 =kde-base/klickety-3.5.5 =kde-base/klipper-3.5.5 =kde-base/libkdeedu-3.5.4 =kde-base/klinkstatus-3.5.5 =kde-base/secpolicy-3.5.0 =kde-base/konsolekalendar-3.5.5 =kde-base/eyesapplet-3.5.5 =kde-base/kregexpeditor-3.5.5 =kde-base/kate-3.5.5-r1 =kde-base/kstart-3.5.0 =kde-base/kdnssd-3.5.5 =kde-base/khelpcenter-3.5.5 =kde-base/kdemultimedia-kioslaves-3.5.5 =kde-base/mimelib-3.5.4 =kde-base/libkpimexchange-3.5.5 =kde-base/kwalletmanager-3.5.5 =kde-base/kdeadmin-kfile-plugins-3.5.5 =kde-base/kcminit-3.5.3 =kde-base/kfax-3.5.5 =kde-base/libksieve-3.5.0 =kde-base/kworldwatch-3.5.5 =kde-base/kmail-3.5.5-r2 =kde-base/ksnake-3.5.5 =kde-base/ksokoban-3.5.5 =kde-base/kghostview-3.5.5 =kde-base/knotes-3.5.5 =kde-base/ksirc-3.5.5-r1 =kde-base/kopete-3.5.5-r2 =kde-base/klaptopdaemon-3.5.5 =kde-base/kpercentage-3.5.5 =kde-base/kode-3.5.2 =kde-base/katomic-3.5.5 =kde-base/kdeartwork-kscreensaver-3.5.5 =kde-base/kruler-3.5.5 =kde-base/kteatime-3.5.5 =kde-base/kicker-applets-3.5.5 =kde-base/kdepim-kioslaves-3.5.5-r1 =kde-base/kreadconfig-3.5.0 =kde-base/kmahjongg-3.5.5 =kde-base/kaddressbook-3.5.5 =kde-base/kturtle-3.5.5 =kde-base/libkcal-3.5.5-r1 =kde-base/korganizer-3.5.5-r1 =kde-base/kscd-3.5.5 =kde-base/kdvi-3.5.5 =kde-base/ksame-3.5.5 =kde-base/ksync-3.5.5 =kde-base/kdesu-3.5.5 =kde-base/kdelibs-3.5.5-r10 =kde-base/kmix-3.5.5 =kde-base/drkonqi-3.5.5 =kde-base/kweather-3.5.5 =kde-base/kdenetwork-kfile-plugins-3.5.5 =kde-base/ktouch-3.5.5 =kde-base/kaboodle-3.5.5 =media-video/mpeg2vidcodec-12-r1 =media-video/mjpegtools-1.8.0-r1 =media-video/mplayer-1.0.20070321 =app-text/tetex-3.0_p1-r3 =app-text/poppler-0.5.4-r1 =app-text/openjade-1.3.2-r1 =app-text/enchant-1.2.5 =app-text/aspell-0.50.5-r4 =app-text/opensp-1.5.2-r1 =app-text/poppler-bindings-0.5.4 =media-sound/amarok-1.4.5-r1 =media-sound/audacious-1.3.2 =app-emulation/emul-linux-x86-soundlibs-10.0-r1 =sys-devel/gettext-0.16.1

These are the packages that would be merged, in order:

Calculating dependencies -
emerge: there are no ebuilds to satisfy "=dev-libs/libusb-0.1.10a".


revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run revdep-rebuild
or
- use -X or --package-names as first argument (trys to rebuild package, not exact
ebuild)
or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
(and remove /root/.revdep-rebuild.5_order to be evaluated again)
or
- modify the above emerge command and run it manually
or
- compile or unmerge unsatisfied packages manually, remove temporary files and
try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*



so, dann versuche ich die libusb neu zu installieren:



mars tmp # emerge -va libusb

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] dev-libs/libusb-0.1.12 [0.1.10a] USE="-debug -doc" 0 kB

Total: 1 package (1 upgrade), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No]
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) dev-libs/libusb-0.1.12 to /
* libusb-0.1.12.tar.gz RMD160 ;-) ... [ ok ]
* libusb-0.1.12.tar.gz SHA1 ;-) ... [ ok ]
* libusb-0.1.12.tar.gz SHA256 ;-) ... [ ok ]
* libusb-0.1.12.tar.gz size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking libusb-0.1.12.tar.gz ;-) ... [ ok ]
>>> Unpacking source...
>>> Unpacking libusb-0.1.12.tar.gz to /var/tmp/portage/dev-libs/libusb-0.1.12/work
* Applying 0.1.12-fbsd.patch ... [ ok ]
* Running eautoreconf in '/var/tmp/portage/dev-libs/libusb-0.1.12/work/libusb-0.1.12' ...
* Running aclocal ... [ ok ]
* Running libtoolize --copy --force --automake ... [ ok ]
* Running aclocal ... [ ok ]
* Running autoconf ... [ ok ]
* Running autoheader ... [ ok ]
* Running automake --add-missing --copy --foreign ... [ ok ]
* Running elibtoolize in: libusb-0.1.12
* Applying sed-1.5.6.patch ...
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/dev-libs/libusb-0.1.12/work/libusb-0.1.12 ...
* econf: updating libusb-0.1.12/config.sub with /usr/share/gnuconfig/config.sub
* econf: updating libusb-0.1.12/config.guess with /usr/share/gnuconfig/config.guess
./configure --prefix=/usr --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-debug --disable-build-docs --libdir=/usr/lib64 --build=x86_64-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking for style of include used by make... GNU
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking dependency style of x86_64-pc-linux-gnu-gcc... gcc3
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-gnu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognize dependent libraries... pass_all
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for x86_64-pc-linux-gnu-g++... x86_64-pc-linux-gnu-g++
checking whether we are using the GNU C++ compiler... no
checking whether x86_64-pc-linux-gnu-g++ accepts -g... no
checking dependency style of x86_64-pc-linux-gnu-g++... none
checking how to run the C++ preprocessor... /lib/cpp
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details.

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/dev-libs/libusb-0.1.12/work/libusb-0.1.12/config.log

!!! ERROR: dev-libs/libusb-0.1.12 failed.
Call stack:
ebuild.sh, line 1615: Called dyn_compile
ebuild.sh, line 972: Called qa_call 'src_compile'
ebuild.sh, line 44: Called src_compile
libusb-0.1.12.ebuild, line 43: Called econf '--disable-debug' '--disable-build-docs'
ebuild.sh, line 578: Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/dev-libs/libusb-0.1.12/temp/build.log'.


... altes Problem :-(

10

30.06.2007, 01:26

Abend,


das sich nach den "revdep-rebuild -p" nichts geändert hat, ist klar. Mit der Option -p hast Du ja gesagt er soll es nur zeigen.

Ist deswegen wichtig, da wenn die Woldfile defekt ist, könnte es passieren das alles gelöscht wird.

Da das bei Dir nicht der Fall ist, kannst Du es mal ohne -p starten.

Vielleicht kommst dann weiter.
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay

11

30.06.2007, 11:35

okay, es scheint zu funktionieren.
Das Problem war wohl, dass ich aus irgendeinem Grund "USE= [...] build [...]" in der make.conf stehen hatte.
Ohne dieses USE-Flag ein
emerge --update gc
und danach
revdep-rebuild --library libstdc++.so.6
scheint das Problem gelöst zu haben. Zumindest konnte ich danach die libusb und fluxbox installieren...

12

30.06.2007, 15:42

Schön das es jetzt geht. Bitte das nächste mal aber auch das Thema auf gelöst setzen.

Forumskonventionen

Ich habe das dann mal für Dich gemacht.

Viele Grüße
Alienware 17 R3 16 GB RAM
NVIDIA GTX970 Optimus
Intel Corporation Wireless 8260 AC
Blu-ray Disc ROM & DVD+/-RW
Ubuntu Gnome Desktop
+
Samsung Aktivbook 8, 16 GB DDR3-1666, 2000 GIG SATA
ATI Radeon HD 8870M
Intel Corporation Centrino Advanced-N 6235
Blu-ray Disc ROM & DVD+/-RW
Xbuntu mit debootstrap
+
Intel Core 2 Duo
2 GB MB RAM
ca. 3,5 TB SATA
TBS6980 Dual DVB S2
YaVDR amd64 + VDR1.7.x + XBMC + VDPAU


Mein Overlay:

Quellcode

1
layman -a amielke-overlay

13

30.06.2007, 17:46

oh, stimmt, das habe ich vergessen... Tut mir Leid, beim nächsten mal denk ich dran!